Name:    slurm
Version: 1.2.16
Release: alt1

Packager: Stanislav Ievlev <inger@altlinux.org>

%define slurmuser _slurm

Summary: Simple Linux Utility for Resource Management

License: GPL 
Group: System/Base

Source: slurm-1.2.16.tar

Source1: slurmd.init
Source2: slurmctld.init
Source3: slurm.sysconfig

URL: http://www.llnl.gov/linux/slurm

# Automatically added by buildreq on Mon Oct 01 2007
BuildRequires: gcc-c++ gcc-fortran libgtk+2-devel libncurses-devel libpam-devel libreadline-devel libssl-devel libstdc++-devel-static python-base

%package -n lib%name
Summary: shared library for %name
Group: System/Libraries
Requires: %name = %version-%release

%package -n lib%name-devel
Summary: development library for %name
Group: Development/C
Requires: lib%name = %version-%release

%package view
Summary: graphical user interface to view and modify SLURM state
Group: System/Base
Requires: %name = %version-%release

%description 
SLURM is an open source, fault-tolerant, and highly
scalable cluster management and job scheduling system for Linux clusters
containing up to thousands of nodes. Components include machine status,
partition management, job management, and scheduling modules.

%description -n lib%name
shared library for %name

%description -n lib%name-devel
development library for %name

%description view
graphical user interface to view and modify SLURM state

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/%name

#NO SMP
%make

%install
%makeinstall

%__install -D -m644 etc/slurm.conf.example %buildroot/%_sysconfdir/%name/slurm.conf
%__install -D -m755 etc/slurm.epilog.clean %buildroot/%_sysconfdir/%name/slurm.epilog.clean

#change defaults
%__subst s,^AuthType=.*,AuthType=auth/none, %buildroot/%_sysconfdir/%name/slurm.conf
%__subst s,^StateSaveLocation=.*,StateSaveLocation=%_cachedir/%name, %buildroot/%_sysconfdir/%name/slurm.conf
%__subst s,^SlurmdSpoolDir=.*,SlurmdSpoolDir=%_spooldir/%name, %buildroot/%_sysconfdir/%name/slurm.conf
%__subst s,^ProctrackType=.*,ProctrackType=proctrack/linuxproc, %buildroot/%_sysconfdir/%name/slurm.conf
%__subst s,^SlurmUser=.*,SlurmUser=%slurmuser, %buildroot/%_sysconfdir/%name/slurm.conf

%__install -d %buildroot%_spooldir/%name
%__install -d %buildroot%_cachedir/%name

%__install -Dpm 755 %SOURCE1 %buildroot%_initdir/slurmd
%__install -Dpm 755 %SOURCE2 %buildroot%_initdir/slurmctld
%__install -Dpm 644 %SOURCE3 %buildroot%_sysconfdir/sysconfig/slurm

%pre
/usr/sbin/groupadd -r -f %slurmuser
/usr/sbin/useradd -r -g %slurmuser -d /dev/null -s /dev/null -n %slurmuser >/dev/null 2>&1 ||:

%post
%post_service slurmctld
%post_service slurmd

%preun
%preun_service slurmd
%preun_service slurmctld

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_man5dir/*
%config(noreplace) %_sysconfdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%_initdir/*

%_bindir/*
%exclude %_bindir/sview
%_man1dir/*
%exclude %_man1dir/sview.*

%_sbindir/*
%_man8dir/*

%_libdir/%name/*.so

%_spooldir/%name
%attr(755,%slurmuser,%slurmuser) %_cachedir/%name

%files view
%_bindir/sview
%_man1dir/sview.*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_man3dir/*



%changelog
* Mon Oct 01 2007 Stanislav Ievlev <inger@altlinux.org> 1.2.16-alt1
- Initial build
